Bug 848954 - Putting private key first in SSLProxyMachineCertificateFile causes segfault
Summary: Putting private key first in SSLProxyMachineCertificateFile causes segfault
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: httpd
Version: 6.3
Hardware: i686
OS: Linux
low
low
Target Milestone: rc
: ---
Assignee: Jan Kaluža
QA Contact: Zbysek MRAZ
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-08-16 22:34 UTC by Orion Poplawski
Modified: 2018-12-01 14:43 UTC (History)
2 users (show)

Fixed In Version: httpd-2.2.15-17.el6
Doc Type: Bug Fix
Doc Text:
Cause: mod_ssl presumed the private key is set after the certificate in SSLProxyMachineCertificateFile. Consequence: httpd crashed if the private key had been set before the certificate in SSLProxyMachineCertificateFile. Fix: mod_ssl was fixed to check if the private key was set before the certificate. Result: mod_ssl does not crash in this situation and prints error message instead.
Clone Of:
Environment:
Last Closed: 2013-02-21 10:17:45 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2013:0512 normal SHIPPED_LIVE Low: httpd security, bug fix, and enhancement update 2013-02-20 21:29:30 UTC
Apache Bugzilla 52212 None None None 2012-08-16 22:34:52 UTC

Description Orion Poplawski 2012-08-16 22:34:52 UTC
Description of problem:

If you put the private key first in the SSLProxyMachineCertificateFile, the apache handler process will segfault on connection.  See upstream bug report for more info.  Putting the certificate first fixes.

Version-Release number of selected component (if applicable):
mod_ssl-2.2.15-15.sl6.1.i686

How reproducible:
Everytime

Comment 2 Joe Orton 2012-08-17 12:05:16 UTC
Fixed upstream.

http://svn.apache.org/viewvc?view=revision&revision=1374214

Comment 3 Joe Orton 2012-08-17 12:05:31 UTC
Thanks for the report, Orion.

Comment 8 errata-xmlrpc 2013-02-21 10:17:45 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2013-0512.html


Note You need to log in before you can comment on or make changes to this bug.